{
    "version": 1,
    "disable_existing_loggers": false,
    "formatters": {
        "simple": {
            "format": "[%(module)s|%(levelname)s] %(message)s"
        },
        "detail": {
            "format": "[%(asctime)s] [%(levelname)s] [%(module)s]: %(message)s"
        },
        "complex": {
            "format": "[%(levelname)s|%(name)s|L%(lineno)d] %(asctime)s %(message)s",
            "datefmt": "%Y-%m-%dT%H:%M:%S%z"
        }
    },
    "handlers": {
        "file": {
            "level": "DEBUG",
            "class": "logging.FileHandler",
            "formatter": "complex"
        },
        "stdout": {
            "level": "INFO",
            "class": "logging.StreamHandler",
            "formatter": "simple",
            "stream": "ext://sys.stdout"
        },
        "queue_handler": {
            "respect_handler_level": true,
            "class": "logging.handlers.QueueHandler",
            "handlers": [
                "file",
                "stdout"
            ]
        }
    },
    "loggers": {
        "root": {
            "level": "DEBUG",
            "handlers": [
                "queue_handler"
            ]
        },
        "apps": {
            "level": "DEBUG"
        },
        "django": {
            "level": "INFO"
        },
        "django.request": {
            "level": "ERROR"
        }
    }
}